Onerway
POST

Region list

Use this endpoint to query supported regions.

Request

ApiKey
Issuing API key request header assigned by Onerway.
Example:

Request example

curl -X POST 'https://sandbox-api.onerway.com/api/v1/merchant/common/regionList' \
  -H 'ApiKey: replace_with_issuing_api_key' \
  -H 'Content-Type: application/json' \
  --data-raw '{}'

Response

respCode
Business response code. 20000 means success.
respMsg
Response message.
Supported region list.

Response example

{
  "respCode": "20000",
  "respMsg": "success",
  "data": [
    {
      "regionCode": "CN",
      "regionName": "China"
    },
    {
      "regionCode": "US",
      "regionName": "United States"
    },
    {
      "regionCode": "HK",
      "regionName": "Hong Kong"
    }
  ]
}
No error responses are documented for this endpoint.